"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.dateLocale = void 0;

var _i18next = _interopRequireDefault(require("i18next"));

var _locale = require("date-fns/locale");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable @typescript-eslint/naming-convention */
// for getting the device's language locale
// 'en' is default deviceLocale
const getDateLocale = () => {
  switch (_i18next.default.language) {
    case 'fr':
    case 'fr_US':
    case 'fr_FR':
    case 'fr_CA':
      return _locale.fr;

    case 'es':
    case 'es_US':
    case 'es_MX':
    case 'es_ES':
      return _locale.es;

    case 'zh':
    case 'zh_CN':
    case 'zh_TW':
      return _locale.zhCN;

    case 'pt':
    case 'pt_BR':
      return _locale.ptBR;

    default:
      return _locale.enUS;
  }
};

const dateLocale = getDateLocale();
exports.dateLocale = dateLocale;
//# sourceMappingURL=i18n.js.map