"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AuthUIInternalStore = void 0;

var _react = _interopRequireWildcard(require("react"));

var _state = require("../contexts/AccountUIContext/state");

var _AccountUIContext = require("../contexts/AccountUIContext");

var _context = require("../contexts/RegistrationUIContext/context");

var _RegistrationUIContext = require("../contexts/RegistrationUIContext");

var _state2 = require("../contexts/RegistrationUIContext/state");

var _AuthUIContextProvider = require("../contexts/AuthUIContextProvider");

var _actions = require("../contexts/AccountUIContext/actions");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * @packageDocumentation
 * @module Stores
 * @internal
 */
const AuthUIInternalStore = props => {
  const injectedContext = (0, _AuthUIContextProvider.useInjectedUIContext)(); // Setup the Authentication Items

  const [authState, authDispatch] = (0, _react.useReducer)(_AccountUIContext.defaultAccountUIReducer, _state.initialAccountUIState);
  const authActions = (0, _actions.AccountActionsCreator)(injectedContext.authActions(), authDispatch)(); // Setup the Registration Items

  const [registrationState, registrationDispatch] = (0, _react.useReducer)(_RegistrationUIContext.registrationReducer, _state2.initialRegistrationState);
  const registrationActions = (0, _RegistrationUIContext.RegistrationActionsCreator)(injectedContext.registrationActions(), registrationDispatch)(); // Middleware to dump state for debugging

  (0, _react.useEffect)(() => {// console.log({ newAuthState: authState });
    // console.log({ newRegistrationState: registrationState });
  }, [registrationState, authState]);
  return /*#__PURE__*/_react.default.createElement(_AccountUIContext.AccountUIActionContext.Provider, {
    value: {
      actions: authActions,
      dispatch: authDispatch
    }
  }, /*#__PURE__*/_react.default.createElement(_context.RegistrationActionContext.Provider, {
    value: {
      actions: registrationActions,
      dispatch: registrationDispatch
    }
  }, /*#__PURE__*/_react.default.createElement(_AccountUIContext.AccountUIStateContext.Provider, {
    value: authState
  }, /*#__PURE__*/_react.default.createElement(_context.RegistrationStateContext.Provider, {
    value: registrationState
  }, props.children))));
};

exports.AuthUIInternalStore = AuthUIInternalStore;
//# sourceMappingURL=AuthUIInternalStore.js.map